Skip to main content
GET
/
v1
/
positions
/
ledger
Get position ledger
curl --request GET \
  --url https://api.prod.polymarketexchange.com/v1/positions/ledger
import requests

url = "https://api.prod.polymarketexchange.com/v1/positions/ledger"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prod.polymarketexchange.com/v1/positions/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entries": [
    {
      "id": "<string>",
      "account": "<string>",
      "symbol": "<string>",
      "quantityChange": "<string>",
      "costChange": "<string>",
      "realizedChange": "<string>",
      "netPosition": "<string>",
      "cost": "<string>",
      "realized": "<string>",
      "updateTime": "2023-11-07T05:31:56Z",
      "updateBusinessDate": "<string>",
      "description": "<string>"
    }
  ],
  "nextPageToken": "<string>",
  "eof": true
}

Query Parameters

account
string
required

Required. Fully qualified resource name of the account. Example: firms/ISV-Alice/accounts/alice-trading.

symbol
string

Optional. Filter by instrument symbol.

start_time
string<date-time>

Optional. Inclusive lower bound on update_time (RFC3339). Clamped upstream to 2026-05-01T00:00:00Z.

end_time
string<date-time>

Optional. Inclusive upper bound on update_time (RFC3339).

page_size
integer<int32>

Optional. Maximum entries to return per page (max 1000). Values above 1000 return InvalidArgument.

Required range: x <= 1000
page_token
string

Optional. Pagination token from a previous response's nextPageToken field. Omit for the first request.

newest_first
boolean

Optional. If true, return entries in descending update_time order. Default is false (oldest first).

Response

200 - application/json

A successful response.

entries
object[]

Position ledger entries for the requested account / time window.

nextPageToken
string

Pagination token to fetch the next page. Empty when there are no more results.

eof
boolean

true when this response contains the final page of results.